Friday, March 24, 2017

Dependencies for Dwarf Fortress

My son was trying to get Dwarf Fortress going on Ubuntu Precise running in Crouton on a Toshiba Chromebook.  Of course that's complicated - but it's not something you assess before starting when you're 12.  So here's some notes for resolving some dependencies for the wonderful little game.

Ubuntu's repo doesn't have it (for Precise anyway).  Add Xbmc PPA first.
sudo apt-add-repository ppa:team-xbmc/ppa 
sudo apt-get update
sudo apt-get install libsdl2
Once Xbmc PPA is there, it's as easy as adding
sudo apt-get install libsdl-image1.2

No comments:

Post a Comment